#include "aboutdlg.h"
#include <aygshell.h>
#include "game.h"
#include "resource.h"

LRESULT CALLBACK
AboutBox(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
	SHINITDLGINFO shidi;

	switch (message)
	{
	case WM_INITDIALOG:
		shidi.dwMask = SHIDIM_FLAGS;
		shidi.dwFlags = SHIDIF_SIZEDLGFULLSCREEN | SHIDIF_DONEBUTTON | SHIDIF_EMPTYMENU | SHIDIF_SIPDOWN;
		shidi.hDlg = hDlg;
		SHInitDialog(&shidi);
		return TRUE;

	case WM_COMMAND:
		if (LOWORD(wParam) == IDOK || LOWORD(wParam) == IDCANCEL)
		{
			EndDialog(hDlg, LOWORD(wParam));
			return TRUE;
		}
		break;
	}
	return FALSE;
}
